aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/lib/libotputil/libotputil.sym
blob: c3faedbe9dea401c6788176059e2a1d13798a737 (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
#
#   OTP Utilities
#   Copyright (C) 2020 David M. Syzdek <david@syzdek.net>.
#
#   Redistribution and use in source and binary forms, with or without
#   modification, are permitted provided that the following conditions are
#   met:
#
#      * Redistributions of source code must retain the above copyright
#        notice, this list of conditions and the following disclaimer.
#      * Redistributions in binary form must reproduce the above copyright
#        notice, this list of conditions and the following disclaimer in the
#        documentation and/or other materials provided with the distribution.
#      * Neither the name of David M. Syzdek nor the
#        names of its contributors may be used to endorse or promote products
#        derived from this software without specific prior written permission.
#
#   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
#   IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#   THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#   PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL DAVID M SYZDEK BE LIABLE FOR
#   ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#   DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#   SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#   CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
#   LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
#   OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
#   SUCH DAMAGE.
#
#   lib/liblibotputil/libotputil.sym - list of symbols to export
#
#   Simple Build:
#      CFLAGS="-g -O2 -W -Wall -Werror -I../include"
#      gcc ${CFLAGS} -c libotputil.c
#      ar rcs libotputil.a libotputil.o
#      ranlib libotputil.a
#
#   Libtool Build:
#      CFLAGS="-g -O2 -W -Wall -Werror -I../include"
#      LDFLAGS="-g -O2 -export-symbols libotputil.sym -rpath /usr/local/lib"
#      libtool --mode=compile --tag=CC gcc ${CFLAGS}  -c libotputil.c
#      libtool --mode=link    --tag=CC gcc ${LDFLAGS} -o libotputil.la \
#              libotputil.lo
#
#   Libtool Install:
#      libtool --mode=install install -c libotputil.la \
#              /usr/local/lib/libotputil.la
#
#   Libtool Uninstall:
#      libtool --mode=uninstall rm -f /usr/local/lib/libotputil.la
#
#   Libtool Clean:
#      libtool --mode=clean rm -f libotputil.la libotputil.lo
#
# variables
otputil_skey_rfc1760_dict
#
# BER functions
otputil_base32bv
otputil_bvalloc
otputil_bvbase32
otputil_bvcmp
otputil_bvdup
otputil_bvfree
#
# memory functions
otputil_free
otputil_get_param
otputil_initialize
otputil_set_param
#
# misc functions
otputil_err2string
otputil_getpass
otputil_md2str
otputil_str2md
#
# front-end functions
otputil_code
otputil_str
otputil_timer
#
# HOTP functions (RFC 4226)
otputil_hotp_code
otputil_hotp_str
#
# OTP functions (RFC 2289)
otputil_otp_code
otputil_otp_decode
otputil_otp_decode_len
otputil_otp_encode
otputil_otp_encode_len
otputil_otp_str
#
# S/KEY functions (RFC 1760)
otputil_skey_dict_value
otputil_skey_dict_word
#
# TOTP functions (RFC 6238)
otputil_totp_code
otputil_totp_str
otputil_totp_timer
# end of symbol export file